=== debian/watch ===
Version: 5
Source: https://www.openwall.com/john/
Matching-Pattern: ./john-([\d\.]+)\.tar\.xz
Pgpsigurlmangle: s/$/.sign/
