## john 1.9.0-Jumbo-1+git20211102

=== debian/changelog ===
john (1.9.0-Jumbo-1+git20211102-0kali10) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop build dependency dpkg-dev

  [ Steev Klimaszewski ]
  * Revert "Force building with gcc-11"
  * Add upstream patch to deal with SIMD and gcc-12

 -- Steev Klimaszewski <steev@kali.org>  Mon, 02 Jun 2025 23:23:14 -0500

john (1.9.0-Jumbo-1+git20211102-0kali9) kali-dev; urgency=medium

  * Update patch for Python 3.12 warnings
  * Drop obsolete constraint on dpkg-dev
  * Add Rules-Requires-Root: no

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 18 Sep 2024 08:56:23 +0700

john (1.9.0-Jumbo-1+git20211102-0kali8) kali-dev; urgency=medium

  * Fix various Python 3.12 SyntaxWarning

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 16 Sep 2024 22:50:38 +0700

john (1.9.0-Jumbo-1+git20211102-0kali7) kali-dev; urgency=medium

  * The tests run on arm64 so add it as supported architecture.
  * d/watch: Point to correct upstream repo url.
  * Update lintian overrides
  * d/rules: Disable SIMD on 32bit ARM architectures.

 -- Steev Klimaszewski <steev@kali.org>  Thu, 07 Dec 2023 11:55:12 -0600

john (1.9.0-Jumbo-1+git20211102-0kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update lintian override info format in d/john.lintian-overrides on line 2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Import autopkgtests from Debian

 -- Steev Klimaszewski <steev@kali.org>  Mon, 06 Nov 2023 10:07:16 -0600

john (1.9.0-Jumbo-1+git20211102-0kali5) kali-dev; urgency=medium

  * Force building with gcc-11
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 09 Nov 2022 10:13:36 -0600

john (1.9.0-Jumbo-1+git20211102-0kali4) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Fix debian/watch issue with github releases page
  [ Steev Klimaszewski ]
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 22:34:14 -0600

john (1.9.0-Jumbo-1+git20211102-0kali3) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Use dh_auto_install target to handle completion
  * Use execute_after rather than override, where applicable

  [ Daniel Ruiz de Alegría ]
  * Update kirbi2john from nidem/kerberoast

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 11 May 2022 20:31:14 +0200

john (1.9.0-Jumbo-1+git20211102-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add XSBC-Original-Maintainer
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

  [ Daniel Ruiz de Alegría ]
  * Fix zsh and bash completion
  * Use override_dh_install to rename and install shell autocompletion scripts
  * Add binaries for eapmd5tojohn and vncpcap2john
  * Symlink scripts inside run to /bin
  * Remove bash-completion build dependency

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 22 Feb 2022 11:01:29 +0100

john (1.9.0-Jumbo-1+git20211102-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 1.9.0-Jumbo-1+git20211102
  * Refresh patches
  * Add dh-python to properly manage the Python shebang
  * Remove README.FreeBSD
  * Use Standard 4 in debian/watch
  * Bump Standards-Version to 4.6.0 (no change)
  * Update debian/john.lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Nov 2021 10:17:39 +0100

john (1.9.0-Jumbo-1-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file
  * Disable reprotest job for now

  [ Stefan Pietsch ]
  * Include most of the docs

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 13 Sep 2019 11:14:26 +0200

john (1.9.0-Jumbo-1-0kali2) kali-dev; urgency=medium

  * debian/rules: fix the build tor the different options

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 May 2019 13:40:43 +0200

john (1.9.0-Jumbo-1-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 1.9.0-Jumbo-1
  * Update Vcs-* fields for gitlab
  * Use debhelper-compat 12
  * Update debian/copyright
  * Add debian/gbp.conf
  * Refresh patches
  * Update installation for new source package
  * Build the AVX512* binaries
  * Remove useless upstream key
  * Spelling errors: add a patch and lintian-overrides
  * Build with hard flags and don't strip executables
  * Add missings FLAGS for cprepair binary

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 May 2019 11:33:45 +0200

john (1.8.0.13-jumbo-1-0kali4) kali-dev; urgency=medium

  * Install standalone programs (not anymore included in john) see 5206
  * Add other commands/utilities in usr/share/john
  * Install zsh and bash completion
  * Bump Standards Version to 4.3.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jan 2019 09:33:40 +0100

john (1.8.0.13-jumbo-1-0kali3) kali-dev; urgency=medium

  * debian/rules: fix the path of DCPU_FALLBACK_BINARY

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Jan 2019 10:28:58 +0100

john (1.8.0.13-jumbo-1-0kali2) kali-dev; urgency=medium

  * Install the missing rules (fixes 5201)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Jan 2019 18:59:37 +0100

john (1.8.0.13-jumbo-1-0kali1) kali-experimental; urgency=medium

  * New upstream version 1.8.0.13-jumbo-1
  * Add missing build-deps zlib1g-dev
  * Update debian/copyright
  * Refresh patches and remove obsolete patches
  * Add a patch to use correct path in FLAGS
  * Update d/rules: build omp and non-omp binaries
  * d/control: update Maintainer and uploaders fields
  * Bump Standards-Version to 4.2.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Dec 2018 16:47:42 +0100

john (1.8.0.6-jumbo-1-0kali9) kali-dev; urgency=medium


