=== debian/watch ===
version=4
opts="filenamemangle=s/^.*\//john-/,uversionmangle=s/-PRE/~pre/" \
https://github.com/openwall/JohnTheRipper/tags .*/([\d\.]+-[j|J]umbo-.*)\.tar\.(?:xz|gz)
